|
Расположение в меню |
---|
Arch → Utilities → Создать IFC таблицу |
Верстаки |
Arch |
Быстрые клавиши |
I P |
Представлено в версии |
- |
См. также |
Arch IFC, Arch IfcExplorer |
Описание
This tool creates a spreadsheet to store IFC properties of an object.
Использование
- Select an object.
- There are several ways to invoke the tool:
- Select the Utils →
Create IFC spreadsheet... option from the menu.
- Use the keyboard shortcut: I then P.
- Select the Utils →
Scripting
See also: Arch API and FreeCAD Scripting Basics.
This tool can be used in macros and from the Python console by using the following function:
spreadsheet = makeIfcSpreadsheet(archobj=None)
- Creates a
spreadsheet
object. Optionally anarchobj
can be given.
Example:
import FreeCAD, Draft, Arch
Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()
spreadsheet = Arch.makeIfcSpreadsheet(Wall)
Эта страница получена от https://wiki.freecad.org/Arch_IfcSpreadsheet